[med-svn] [Git][med-team/cyvcf2][upstream] New upstream version 0.30.0
Nilesh Patra
gitlab at salsa.debian.org
Fri Dec 4 14:36:04 GMT 2020
Nilesh Patra pushed to branch upstream at Debian Med / cyvcf2
Commits:
5a8626a1 by Nilesh Patra at 2020-12-04T19:57:41+05:30
New upstream version 0.30.0
- - - - -
5 changed files:
- .travis.yml
- + ci/linux-deps
- + ci/osx-deps
- + ci/test
- cyvcf2/__init__.py
Changes:
=====================================
.travis.yml
=====================================
@@ -7,10 +7,15 @@ python:
- "3.7"
- "3.8"
+addons:
+ homebrew:
+ packages:
+ - openssl
+
install:
- sudo apt-get install libcurl4-openssl-dev
- pip install -r requirements.txt
- - cd htslib
+ - cd htslib
- autoheader && autoconf
- ./configure --enable-s3 --disable-lzma --disable-bz2
- make
@@ -19,3 +24,49 @@ install:
script:
- python setup.py test
+
+jobs:
+ include:
+ - os: linux
+ python: "3.7"
+ env:
+ - CIBW_SKIP="pp* cp27-* cp34-* *i686*"
+ - CIBW_MANYLINUX_X86_64_IMAGE=manylinux2014
+ - CIBW_BEFORE_BUILD_LINUX="{project}/ci/linux-deps"
+ - CIBW_TEST_COMMAND="{project}/ci/test"
+ - CIBW_ENVIRONMENT="CYTHONIZE=1 LDFLAGS='-L/usr/lib64/openssl11' CPPFLAGS='-I/usr/include/openssl11' C_INCLUDE_PATH='/root/include' LIBRARY_PATH='/root/lib'"
+ services: docker
+ install:
+ - python3 -m pip install cibuildwheel
+ script:
+ - python3 -m cibuildwheel --output-dir wheelhouse
+ after_success:
+ - |
+ if [ "${TRAVIS_TAG:-}" != "" ]; then
+ python3 -m pip install twine -U
+ python3 -m twine upload --repository testpypi --skip-existing wheelhouse/*
+ python3 setup.py sdist
+ python3 -m twine upload --repository testpypi --skip-existing dist/*
+ fi
+ - os: osx
+ osx_image: xcode10.2
+ language: shell
+ env:
+ - CIBW_SKIP="pp* cp27-* cp34-* *i686*"
+ - CIBW_MANYLINUX_X86_64_IMAGE=manylinux2014
+ - CIBW_BEFORE_BUILD_MACOS="{project}/ci/osx-deps"
+ - CIBW_TEST_COMMAND="{project}/ci/test"
+ - CIBW_ENVIRONMENT="CYTHONIZE=1"
+ - LDFLAGS="-L/usr/local/opt/openssl at 1.1/lib"
+ - CPPFLAGS="-I/usr/local/opt/openssl at 1.1/include"
+ - PKG_CONFIG_PATH="/usr/local/opt/openssl at 1.1/lib/pkgconfig"
+ install:
+ - python3 -m pip install cibuildwheel
+ script:
+ - python3 -m cibuildwheel --output-dir wheelhouse
+ after_success:
+ - |
+ if [ "${TRAVIS_TAG:-}" != "" ]; then
+ python3 -m pip install twine -U
+ python3 -m twine upload --repository testpypi --skip-existing wheelhouse/*
+ fi
=====================================
ci/linux-deps
=====================================
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+yum install -y openssl11-devel
+yum install -y libffi libffi-devel zlib-devel
+yum install -y bzip2-devel bzip2-libs xz-devel xz-libs
+
+python -m pip install pip --upgrade
+
+git submodule init
+git submodule update
+
+curl -O https://www.libssh2.org/download/libssh2-1.9.0.tar.gz
+tar xzf libssh2-1.9.0.tar.gz
+cd libssh2-1.9.0
+./configure --prefix=/root
+make
+make install
+cd ..
+rm -rf libssh2-1.9.0
+
+curl -O https://curl.se/download/curl-7.73.0.tar.gz
+tar xzf curl-7.73.0.tar.gz
+cd curl-7.73.0
+./configure --with-libssh2 --prefix=/root
+make
+make install
+cd ..
+rm -rf curl-7.73.0
+
+cd htslib
+autoheader
+autoconf
+./configure --enable-libcurl --enable-s3 --enable-lzma --enable-bz2
+make
+
+cd ..
+pip install -r requirements.txt
=====================================
ci/osx-deps
=====================================
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+python -m pip install pip --upgrade
+
+git submodule init
+git submodule update
+
+cd htslib
+autoheader
+autoconf
+./configure --enable-libcurl --enable-s3 --enable-lzma --enable-bz2
+make
+
+cd ..
+pip install -r requirements.txt
=====================================
ci/test
=====================================
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if (cd ~/ && cyvcf2 --help >/dev/null)
+then
+ echo "cyvcf2 --help: OK"
+else
+ exit 1
+fi
+
+if (cd ~/ && python -c "from cyvcf2 import VCF; VCF('https://github.com/brentp/cyvcf2/raw/master/cyvcf2/tests/test.vcf.gz')")
+then
+ echo "Remote reading: OK"
+else
+ exit 1
+fi
=====================================
cyvcf2/__init__.py
=====================================
@@ -2,4 +2,4 @@ from .cyvcf2 import (VCF, Variant, Writer, r_ as r_unphased, par_relatedness,
par_het)
Reader = VCFReader = VCF
-__version__ = "0.20.9"
+__version__ = "0.30.0"
View it on GitLab: https://salsa.debian.org/med-team/cyvcf2/-/commit/5a8626a17c03e2818a9e2868adc6337274d65847
--
View it on GitLab: https://salsa.debian.org/med-team/cyvcf2/-/commit/5a8626a17c03e2818a9e2868adc6337274d65847
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20201204/e20b185f/attachment-0001.html>
More information about the debian-med-commit
mailing list